import { ISettingsParam, ISettings, ILogObjMeta } from "./interfaces";
export * from "./interfaces";
export declare class BaseLogger<LogObj> {
    private logObj?;
    private stackDepthLevel;
    private readonly runtime;
    settings: ISettings<LogObj>;
    constructor(settings?: ISettingsParam<LogObj>, logObj?: LogObj | undefined, stackDepthLevel?: number);
    log(logLevelId: number, logLevelName: string, ...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    attachTransport(transportLogger: (transportLogger: LogObj & ILogObjMeta) => void): void;
    getSubLogger(settings?: ISettingsParam<LogObj>): BaseLogger<LogObj>;
    private _mask;
    private _maskValuesOfKeysRecursive;
    private _recursiveCloneAndExecuteFunctions;
    private _toLogObj;
    private _toErrorObject;
    private _addMetaToLogObj;
    private _prettyFormatLogObjMeta;
}
