import { BaseLogger, ILogObjMeta, ISettingsParam, ILogObj } from "./BaseLogger";
export { ISettingsParam, BaseLogger };
export declare class Logger<LogObj> extends BaseLogger<LogObj> {
    constructor(settings?: ISettingsParam<LogObj>, logObj?: LogObj);
    log(logLevelId: number, logLevelName: string, ...args: unknown[]): (LogObj & ILogObjMeta & ILogObj) | undefined;
    silly(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    trace(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    debug(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    info(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    warn(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    error(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    fatal(...args: unknown[]): (LogObj & ILogObjMeta) | undefined;
    getSubLogger(settings?: ISettingsParam<LogObj>): Logger<LogObj>;
}
